Banda Ancha EU

Comunidad de usuarios
de fibra, móvil y ADSL

Repositorios Debian me piden 3 GB de actualización ¿Será actualización a Debian 10?

BocaDePez
BocaDePez

Tengo Debian 9.9. Esta mañana, la aplicación apt-get me indica que hay disponibles unas 3 GB de paquetes a actualizar. Sospecho que es una actualización a la versión 10 (Buster). Pero no me atrevo a llevarla a cabo. En otras ocasiones eso provocó una inestabilidad bastante considerable del sistema. Creo que es mejor instalar desde cero.

BocaDePez
BocaDePez

eso lo decides tú. upgrade o instalar de cero.

Yo siempre hago instalación de cero, me gusta mas...

AsmGuy

La cantidad de GB que tengas que bajar depende de lo que tengas instalado y por lo tanto, los paquetes que hay que actualizar.

En mi Debian Server (solo texto, sin Xserver) con bastantes servicios instalados ha tenido que actualizar 1073 paquetes, instalar 354 nuevos y quitar 11. Eso se ha traducido en que tuvo que bajar 727Mb en paquetes y al final de la instalación ha ocupado 1,2Gb más que antes.

He actualizado sin el más mínimo problema.

Te recomiendo que sigas esta guia para actualizar desde Debian 9 a Debian 10.

superllo

Los de Debian son lo suficientemente conservadores como para suponer que las actualizaciones a una nueva versión estable son seguras.

pepejil

Edita /etc/apt/sources.list y cambia "stable" por "stretch".

Después haz un apt-get update.

🗨️ 2
AsmGuy

Te ha faltado editar /etc/apt/apt.conf.d/02Release y cambiar:

APT::Default-Release "buster";

🗨️ 1
pepejil

No deberia hacer falta, puesto que el OP ya parte de Stretch por defecto.

Yo al menos con modificar el sources.list me ha sido suficiente para mi.

BocaDePez
BocaDePez

¿Es muy sacrílego instalar la versión "non-free" de Debian (incluye firmware privativo)? Es para un portátil de hace 8 años.

🗨️ 4
superllo
1

Si eres un talibán es una herejía. Si no lo eres entonces no.

🗨️ 2
BocaDePez
BocaDePez

Pequeña indicación Sr. moderador:

taliban es plural. El singular es talib.

🗨️ 1
BocaDePez
BocaDePez

Si no hay alternativa libre o no cumple... solo es un problema moral y no técnico.

BocaDePez
BocaDePez

Gracias a todos por las respuesta.

Después de realizar las pertinentes copias de seguridad y preparar una memoria USB con una ISO de Debian 10 amd64, hize el dist-upgrade con apt-get. Y sí, me actualizó a Debian Buster... pero destruyendo el entorno gráfico (Gnome 3). Lo sé porque tuve que entrar en modo seguro por línea de comandos y comprobé la actualización.

Evidentemente a continuación procedía a llevar a cabo una instalación desde cero usando la referida memoria USB. He tenido que descargar más paquetes que un empleado de Amazon para instalar todas mis aplicaciones favoritas.

Primeras impresiones: creo que este Debian 10 se le queda corta las 4 GB de memoria RAM que tengo (no uso memoria de intercambio). ¿Debería haber creado una memoria de intercambio?. Wayland me está dando problemas: no me deja ejecutar Totem (reproductor multimedia) y los teclados en pantalla no me escriben (parece que necesitan X). ¿Si cambiara Gnome 3 por Cinammon o Mate se prescindiría de Wayland?

Gracias de nuevo.

🗨️ 4
BocaDePez
BocaDePez

Consulta las notas de la release antes de instalar o actualizar:

debian.org/releases/buster/amd64/release-notes/ch-whats-new.es.html#wayland-by-default-on-gnome

Deberías poder seleccionar Xorg desde GDM acorde a la nota de publicación. Y puedes crear un archivo swap y cargarlo en fstab.

🗨️ 1
BocaDePez
BocaDePez

Gracias por su respuesta.

Efectivamente, desde GDM puedo seleccionar GNOME, GNOME Clásico y GNOME bajo Xorg. Eligiendo este último vuelvo a poder ejecutar Totem y los teclados en pantalla.

Gracias de nuevo por la ayuda.

BocaDePez
BocaDePez

Y lo de la RAM deberías poder mover GNOME... es más cosa del procesador o la gráfica/wayland.

🗨️ 1
BocaDePez
BocaDePez

Gracias por su respuesta.

Efectivamente, la sobrecarga de memoria RAM era debido a Wayland. Al pasar a GNOME bajo Xorg desaparecen las ralentizaciones. Habrá que esperar a que mejoren Wayland.